Package org.eclipse.lemminx.utils

## Class ExceptionUtils

- java.lang.Object
- - org.eclipse.lemminx.utils.ExceptionUtils

    public class ExceptionUtils
    extends Object

Exception Utils

### Method Summary

All Methods Static Methods Concrete Methods
`static Throwable` `getRootCause​(Throwable t)` Returns the root cause of a `Throwable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getRootCause

    public static Throwable getRootCause​(Throwable t)

Returns the root cause of a `Throwable`

Parameters:
  `t` - the top level `Throwable`
Returns:
  the root cause of `t`, or `t` itself if it has no cause.